#include <iostream>
#include <vector>
#include <algorithm>
#include<iomanip>
using namespace std;
bool po_drugom(const pair<long,double>&a,const pair<long,double>&b){return (a.second>b.second); }
int main()
{
    long n;
    cin>>n;
    vector<pair<int,double>> ap;
    double suma=0, maks=0;
    for(int i=0;i<n;i++)
    {
        long a;
        double p; cin>>a>>p;
        ap.push_back(make_pair(a,p));
    }
    sort(ap.begin(),ap.end(),po_drugom);
    for(int i=0;i<n;i++)
    {
        suma+=ap[i].first;
        if(suma*ap[i].second>maks*100) maks=suma*ap[i].second/100;
    }
    cout<<fixed<<setprecision(4)<<maks;
    return 0;
}